return {
	{
		'nvim-telescope/telescope.nvim',
		tag = '0.1.1',
		dependencies = { 'nvim-lua/plenary.nvim' },
	},
	{
		'nvim-tree/nvim-tree.lua',
		config = function()
			require('nvim-tree').setup {
				view = {
					width = 30,
					hide_root_folder = false,
					side = 'left',
					mappings = {
						custom_only = false,
						list = {}
					}
				},
			}
		end,
		dependencies = { 'nvim-tree/nvim-web-devicons' }
	}
}
